Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IDocumentDescriptor

All Superinterfaces:
  IDescriptor, Serializable

public interface IDocumentDescriptor
extends IDescriptor, Serializable

This is an interface describing a class of documents that all conform to the same schema, and have the same root element name.

Method Summary
`QualifiedName` | `getQualifiedName()` Get the qualified name corresponding to this document descriptor.
`String` | `getRootElementName()` Get the name of the root element for the documents of this type.
`String` | `getSchemaNameString()` Get the name of the schema for the document type represented by this descriptor.
`boolean` | `isNull()` Indicates whether this IDocumentDescriptor represents a null (non-existent) document.
`void` | `setRootElementName(String name)` Set the name of the root element for the documents of this type.
`void` | `setSchemaNameString(String name)` Set the name of the schema for the document type represented by this descriptor.

Methods inherited from interface com.bea.wlai.common.IDescriptor
`fromXML, fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML, toXML`

Method Detail

### isNull

    public boolean isNull()

  Indicates whether this IDocumentDescriptor represents a null (non-existent) document. If this method returns true, no meaningful return values can be given from the getSchemaNameString() or getRootElementName() methods (they will throw IllegalStateException).
  A document descriptor for a null document might be used to indicate that no request or resonse is provided from an ApplicationView service.

### getSchemaNameString

    public String getSchemaNameString()

  Get the name of the schema for the document type represented by this descriptor. The schema defines the structure and content of the documents of this type. If this method is called on an object for which isNull() returns true, this throws an IllegalStateException.

  Returns:
    The name of the schema for the document type for this descriptor.

### setSchemaNameString

    public void setSchemaNameString(String name)

  Set the name of the schema for the document type represented by this descriptor. The schema defines the structure and content of the documents of this type. If this method is called on an object for which isNull() returns true, this method does nothing.

  Parameters:
    `name` - The name of the schema for the document type for this descriptor.

### getRootElementName

    public String getRootElementName()

  Get the name of the root element for the documents of this type. If this method is called on an object for which isNull() returns true, this throws an IllegalStateException.

  Returns:
    The name of the root element present in the documents of this type.

### setRootElementName

    public void setRootElementName(String name)

  Set the name of the root element for the documents of this type. If this method is called on an object for which isNull() returns true, this method does nothing.

  Parameters:
    `name` - The name of the root element present in the documents of this type.

### getQualifiedName

    public QualifiedName getQualifiedName()

  Get the qualified name corresponding to this document descriptor.

  Returns:
    A QualifiedName object containing the qualified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD